export type Success<T> = {
    success: true;
    value: T;
};
export type Failure = {
    success: false;
    error: string;
};
export type Result<T> = Success<T> | Failure;
export declare function success<T>(value: T): Success<T>;
export declare function failure(error: string): Failure;
export declare function mergeResults<T>(results: Result<T>[]): Result<T[]>;
export declare function resultMap<T, U>(result: Result<T>, fn: (value: T) => U): Result<U>;
